Subject: [TR] Oil to free an engine

From: "Andrew Uprichard" <[email-masked]>
Date: Sat, 7 May 2016 17:52:40 -0400

It's it amazing how one can skip across a thread when it doesn't bear upon
anything relevant in one's TR life.  I know the answer to my question has
been addressed before, so I apologize, but I just bought a car with a
supposed rebuilt engine (aren't they all?) which is just "a little stuck"
from sitting.

What is the magic oil people use to free up a frozen engine?

Andrew Uprichard

** [email-masked] **

Archive: http://www.team.net/archive